package cn.com.qmth.examcloud.marking.api.bean;

import java.util.ArrayList;
import java.util.List;

import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;


/**
 * @ClassName Marker
 * @Author nikang
 * @Date 2018/9/20 11:48
 * @Version 3.0
 */
public class MarkerBean implements JsonSerializable {
    private static final long serialVersionUID = -4318040324070584283L;
    private Long userId;
    private String userName;
    private String userLoginName;
    private Long workId;
    private Long markedCount;
    private Long courseCount;
    private Long finishedCount;
    private Double maxScore;
    private Double minScore;
    private Double avgScore;
    private Double stdDev;
    
    private double sumScore;
    private List<Double> stdList = new ArrayList<Double>();

    public MarkerBean() {
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Long getWorkId() {
        return workId;
    }

    public void setWorkId(Long workId) {
        this.workId = workId;
    }

    public Long getMarkedCount() {
        return markedCount;
    }

    public void setMarkedCount(Long markedCount) {
        this.markedCount = markedCount;
    }

    public Long getCourseCount() {
        return courseCount;
    }

    public void setCourseCount(Long courseCount) {
        this.courseCount = courseCount;
    }

    public Long getFinishedCount() {
        return finishedCount;
    }

    public void setFinishedCount(Long finishedCount) {
        this.finishedCount = finishedCount;
    }

    public Double getMaxScore() {
        return maxScore;
    }

    public void setMaxScore(Double maxScore) {
        this.maxScore = maxScore;
    }

    public Double getMinScore() {
        return minScore;
    }

    public void setMinScore(Double minScore) {
        this.minScore = minScore;
    }

    public Double getAvgScore() {
        return avgScore;
    }

    public void setAvgScore(Double avgScore) {
        this.avgScore = avgScore;
    }

    public Double getStdDev() {
        return stdDev;
    }

    public void setStdDev(Double stdDev) {
        this.stdDev = stdDev;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getUserLoginName() {
        return userLoginName;
    }

    public void setUserLoginName(String userLoginName) {
        this.userLoginName = userLoginName;
    }

	public double getSumScore() {
		return sumScore;
	}

	public void setSumScore(double sumScore) {
		this.sumScore = sumScore;
	}

	public List<Double> getStdList() {
		return stdList;
	}

	public void setStdList(List<Double> stdList) {
		this.stdList = stdList;
	}

    
}
